Bug 841021 - [abrt] authconfig-gtk-6.2.1-1.fc17: locale.py:539:setlocale:Error: unsupported locale setting
[abrt] authconfig-gtk-6.2.1-1.fc17: locale.py:539:setlocale:Error: unsupporte...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
abrt_hash:7f9e4c203e8151b57bc8cf91f12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 17:50 EDT by Anindya
Modified: 2012-09-25 16:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 16:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anindya 2012-07-17 17:50:47 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/share/authconfig/authconfig-gtk.py
executable:     /usr/share/authconfig/authconfig-gtk.py
kernel:         3.3.4-5.fc17.x86_64
time:           Mon Jul 16 02:08:29 2012
uid:            0
username:       root

backtrace:
:locale.py:539:setlocale:Error: unsupported locale setting
:
:Traceback (most recent call last):
:  File "/usr/share/authconfig/authconfig-gtk.py", line 31, in <module>
:    locale.setlocale(locale.LC_ALL, '')
:  File "/usr/lib64/python2.7/locale.py", line 539, in setlocale
:    return _setlocale(category, locale)
:Error: unsupported locale setting
:
:Local variables in innermost frame:
:locale: ''
:category: 6

smolt_data:
:
:
:General
:=================================
:UUID: a365917d-f20a-4e0e-99ca-72dde8d6514a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: [Invalid UTF-8]
:Platform: x86_64
:BogoMIPS: 4789.24
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2401
:System Memory: 3903
:System Swap: 5951
:Vendor: TOSHIBA
:System: Satellite C640 PSC2UG-00P001
:Form factor: Notebook
:Kernel: 3.3.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4473:65310) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4473:64752) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4473:65310) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4473:65310) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4473:65310) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4473:65310) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:43:5199:29043) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(6505:8290:4473:65310) pci, atl1c, ETHERNET, AR8152 v2.0 Fast Ethernet
:(32902:7213:4473:65310) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4473:65310) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4473:65310) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4473:65310) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_anindya-lv_root / ext4 4096 4096 13081819 11677059 11021699 3276800 3130274 3130274
:/dev/mapper/vg_anindya-lv_home /home ext4 4096 4096 107214498 78929300 73562721 26836992 26823307 26823307
:/dev/sda1 /boot ext4 1024 1024 508745 448765 423165 128016 127677 127677
:
Comment 1 Tomas Mraz 2012-07-19 09:29:50 EDT
Unfortunately I don't see what's wrong with the setlocale() call. Is it a reproducible crash?

Note You need to log in before you can comment on or make changes to this bug.